Subject: RE: Nobody is THE one making contribution

From: "Randall S. Becker" <[email-masked]>
Date: Thu, 24 Dec 2020 10:09:09 -0500

On December 24, 2020 12:19 AM, Felipe Contreras wrote:
> To: Ævar Arnfjörð Bjarmason <[email-masked]>; Felipe Contreras
> <[email-masked]>
> Cc: Junio C Hamano <[email-masked]>; Pratyush Yadav
> <[email-masked]>; David Aguilar <[email-masked]>; Seth House
> <[email-masked]>; Git Mailing List <[email-masked]>; Christian Couder
> <[email-masked]>; [email-masked]
> Subject: Re: Nobody is THE one making contribution
> 
> Ævar Arnfjörð Bjarmason wrote:
> > On Wed, Dec 23 2020, Felipe Contreras wrote:
> >
> > > When I express my dissenting opinion I'm not saying nobody should
> > > write a patch on top of mine. Of course they can. Anybody can take
> > > my code and do whatever they want with it (as long as they don't
> > > violate the license of the project).
> > >
> > > What they cannot do is add my Signed-off-by line to code I don't
> > > agree with.
> >
> > I don't think that's what Signed-off-by means, per SubmittingPatches:
> >
> >     To improve tracking of who did what, we ask you to certify that you
> >     wrote the patch or have the right to pass it on under the same
> >     license as ours, by "signing off" your patch[...under the DCO:
> >     https://developercertificate.org/]
> 
> Yes, but the DCO requires (d):
> 
>   d. I understand and agree that this project and the contribution are
>      public and that a record of the contribution (including all personal
>      information I submit with it, including my sign-off) is maintained
>      indefinitely and may be redistributed consistent with this project or
>      the open source license(s) involved.
> 
> We can narrow down the part I'm talking about:
> 
>   d. I *agree* that a record of the contribution is maintained
>      indefinitely.
> 
> I don't agree with that.

Clause d is important to maintain compatibility with GRPD[1] rules about maintaining identifying information. This clause is more than about the contribution. It is about consent to maintain your name and email on record indefinitely, as part of the contribution, in the git repository, without the ability to rescind the permission at some point in the future.

Sincerely,
Randall

[1] https://eur-lex.europa.eu/eli/reg/2016/679/oj